מחוברים עכשיו  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

פרמטרים

שםסוגחובהברירת מחדלתיאור
uniquePaymentSessionID string כן — unique session id returned by /v1/account/set_start_incoming_payment_session
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$account_get_incoming_payment_session_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Namestring כן
$.oneOf[0].allOf[1].Payload.MetaInformationarray כן
$.oneOf[0].allOf[1].Payload.MetaInformation[]string לא
$.oneOf[0].allOf[1].Payload.KeyValueListarray כן
$.oneOf[0].allOf[1].Payload.KeyValueList[]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] כן
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray כן
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

פרמטרים

שםסוגחובהברירת מחדלתיאור
accountID string כן — Account ID owned by the acting API user.
pageNumber int לא 0 Zero-based page number.
pageLength int לא 50 Number of ledger rows to return, capped at 200.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$account_get_ledger_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Accountobject כן
$.oneOf[0].allOf[1].Payload.Account.Currencystring כן
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring כן
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.Account.Namestring כן
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring כן
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledgerarray כן
$.oneOf[0].allOf[1].Payload.Ledger[]object לא
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring כן
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring כן
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring כןStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID כן
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID כן
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID כן
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL כן
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject כןStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject כןStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject כןStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject כןStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction כןStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] כן
$.oneOf[0].allOf[1].Payload.Pageobject כן
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger כן
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger כן
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber כן
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber כן
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

פרמטרים

שםסוגחובהברירת מחדלתיאור
searchFilter string לא "" filter criteria
includeDepositAccount bool לא false defines if deposit account should be return
pageSize int לא 50 Defines how many results will be return per request
pageNumber int לא 0 Defines which page should be returned
includeCorporateAccounts bool לא false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool לא false Admin-only flag to include hidden accounts owned by the inspected user.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$account_get_list_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" כן
$.oneOf[0].allOf[1].Payload.ResponseBodyobject כן
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

פרמטרים

שםסוגחובהברירת מחדלתיאור
paymentType string כן — Type of payment used
grossAmount int כן — Amount that shall be received by the transaction
transactionReferenceID string כן — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string כן — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool לא false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$account_set_start_incoming_payment_session_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Namestring כן
$.oneOf[0].allOf[1].Payload.MetaInformationarray כן
$.oneOf[0].allOf[1].Payload.MetaInformation[]string לא
$.oneOf[0].allOf[1].Payload.KeyValueListarray כן
$.oneOf[0].allOf[1].Payload.KeyValueList[]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue לא
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null כן
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] כן
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray כן
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
תיעוד נקודת קצה קריא למכונה